IRremoteESP8266

Public Attributes | List of all members
Daikin176Protocol Union Reference

Native representation of a Daikin176 A/C message. More...

`#include <ir_Daikin.h>`

## Public Attributes
uint8_t | raw [kDaikin176StateLength]
| The state of the IR remote. More...
struct {
uint8_t __pad0__:8
uint8_t __pad1__:8
uint8_t __pad2__:8
uint8_t Id1:1
uint8_t __pad3__:7
uint8_t __pad4__:8
uint8_t __pad5__:8
uint8_t Sum1:8
uint8_t __pad6__:8
uint8_t __pad7__:8
uint8_t __pad8__:8
uint8_t Id2:1
uint8_t __pad9__:7
uint8_t __pad10__:8
uint8_t __pad11__:4
uint8_t AltMode:3
uint8_t __pad12__:1
uint8_t ModeButton:8
uint8_t Power:1
uint8_t __pad13__:3
uint8_t Mode:3
uint8_t __pad14__:1
uint8_t pad2 [2]
uint8_t __pad15__:1
uint8_t Temp:6
uint8_t __pad16__:1
uint8_t SwingH:4
uint8_t Fan:4
uint8_t pad3 [2]
uint8_t Sum2:8
}; |

## Detailed Description

Native representation of a Daikin176 A/C message.

## Member Data Documentation

## ◆ @33

struct { ... }

## ◆ __pad0__

uint8_t Daikin176Protocol::__pad0__

## ◆ __pad10__

uint8_t Daikin176Protocol::__pad10__

## ◆ __pad11__

uint8_t Daikin176Protocol::__pad11__

## ◆ __pad12__

uint8_t Daikin176Protocol::__pad12__

## ◆ __pad13__

uint8_t Daikin176Protocol::__pad13__

## ◆ __pad14__

uint8_t Daikin176Protocol::__pad14__

## ◆ __pad15__

uint8_t Daikin176Protocol::__pad15__

## ◆ __pad16__

uint8_t Daikin176Protocol::__pad16__

## ◆ __pad1__

uint8_t Daikin176Protocol::__pad1__

## ◆ __pad2__

uint8_t Daikin176Protocol::__pad2__

## ◆ __pad3__

uint8_t Daikin176Protocol::__pad3__

## ◆ __pad4__

uint8_t Daikin176Protocol::__pad4__

## ◆ __pad5__

uint8_t Daikin176Protocol::__pad5__

## ◆ __pad6__

uint8_t Daikin176Protocol::__pad6__

## ◆ __pad7__

uint8_t Daikin176Protocol::__pad7__

## ◆ __pad8__

uint8_t Daikin176Protocol::__pad8__

## ◆ __pad9__

uint8_t Daikin176Protocol::__pad9__

## ◆ AltMode

uint8_t Daikin176Protocol::AltMode

## ◆ Fan

uint8_t Daikin176Protocol::Fan

## ◆ Id1

uint8_t Daikin176Protocol::Id1

## ◆ Id2

uint8_t Daikin176Protocol::Id2

## ◆ Mode

uint8_t Daikin176Protocol::Mode

## ◆ ModeButton

uint8_t Daikin176Protocol::ModeButton

## ◆ pad2

uint8_t Daikin176Protocol::pad2[2]

## ◆ pad3

uint8_t Daikin176Protocol::pad3[2]

## ◆ Power

uint8_t Daikin176Protocol::Power

## ◆ raw

uint8_t Daikin176Protocol::raw[kDaikin176StateLength]

The state of the IR remote.

## ◆ Sum1

uint8_t Daikin176Protocol::Sum1

## ◆ Sum2

uint8_t Daikin176Protocol::Sum2

## ◆ SwingH

uint8_t Daikin176Protocol::SwingH

## ◆ Temp

uint8_t Daikin176Protocol::Temp

The documentation for this union was generated from the following file:

- src/ir_Daikin.h